package com.example.defenseapplication.home

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.example.defenseapplication.databinding.SetNameActivityBinding
import com.example.defenseapplication.liveVideo.LiveVideoActivity
import com.gyf.immersionbar.ImmersionBar
//设置名字页面
class SetNameActivity : AppCompatActivity() {

    private lateinit var binding: SetNameActivityBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = SetNameActivityBinding.inflate(layoutInflater)
        setContentView(binding.root)
        ImmersionBar.with(this)
            .statusBarDarkFont(true)
            .titleBar(binding.topBar)
            .init()
        binding.ivBack.setOnClickListener {
            finish()
        }
        binding.btnConfirm.setOnClickListener {
            val deviceName = binding.etName.text.toString().trim()
            startActivity(Intent(this, LiveVideoActivity::class.java).apply {})
        }
    }
}